Loading...
Searching...
No Matches
pcl::io::ply::ply_parser::list_property_definition_callbacks_type Class Reference

`#include <pcl/io/ply/ply_parser.h>`

## Public Member Functions

template<typename SizeType , typename ScalarType >
list_property_definition_callback_type< SizeType, ScalarType >::type & | get ()
template<typename SizeType , typename ScalarType >
const list_property_definition_callback_type< SizeType, ScalarType >::type & | get () const

## Friends

template<typename SizeType , typename ScalarType >
list_property_definition_callback_type< SizeType, ScalarType >::type & | at (list_property_definition_callbacks_type &list_property_definition_callbacks)
template<typename SizeType , typename ScalarType >
const list_property_definition_callback_type< SizeType, ScalarType >::type & | at (const list_property_definition_callbacks_type &list_property_definition_callbacks)

## Detailed Description

Definition at line 198 of file ply_parser.h.

## Member Function Documentation

## get() [1/2]

template<typename SizeType , typename ScalarType >

list_property_definition_callback_type< SizeType, ScalarType >::type & pcl::io::ply::ply_parser::list_property_definition_callbacks_type::get | ( |  | ) |

inline

Definition at line 224 of file ply_parser.h.

Referenced by pcl::io::ply::ply_parser::at(), and pcl::io::ply::ply_parser::at().

## get() [2/2]

template<typename SizeType , typename ScalarType >

const list_property_definition_callback_type< SizeType, ScalarType >::type & pcl::io::ply::ply_parser::list_property_definition_callbacks_type::get | ( |  | ) | const

inline

Definition at line 231 of file ply_parser.h.

## Friends And Related Symbol Documentation

## at [1/2]

template<typename SizeType , typename ScalarType >

const list_property_definition_callback_type< SizeType, ScalarType >::type & at | ( | const list_property_definition_callbacks_type & | list_property_definition_callbacks | ) |

friend

## at [2/2]

template<typename SizeType , typename ScalarType >

list_property_definition_callback_type< SizeType, ScalarType >::type & at | ( | list_property_definition_callbacks_type & | list_property_definition_callbacks | ) |

friend

The documentation for this class was generated from the following file:

- pcl/io/ply/ply_parser.h